LifecycleListenerRule (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.LifecycleListenerRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class LifecycleListenerRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.catalina.startup.LifecycleListenerRule

    public class LifecycleListenerRule

extends Rule

Rule that creates a new `LifecycleListener` instance, and associates it with the top object on the stack (which must implement `LifecycleListener`).

Field Summary

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`LifecycleListenerRule(java.lang.String listenerClass, java.lang.String attributeName)` Construct a new instance of this Rule.

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleListenerRule

    public LifecycleListenerRule(java.lang.String listenerClass,
                                 java.lang.String attributeName)

  Construct a new instance of this Rule.

  Parameters:
    `listenerClass` - Default name of the LifecycleListener implementation class to be created
    `attributeName` - Name of the attribute that optionally includes an override name of the LifecycleListener class

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attributes of this element
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `java.lang.Exception` - if a processing error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.